org.apache.tiles.freemarker.template

## Class InsertTemplateFMModel

- java.lang.Object
- - org.apache.tiles.freemarker.template.InsertTemplateFMModel

- All Implemented Interfaces:
    freemarker.template.TemplateDirectiveModel, freemarker.template.TemplateModel

      public class InsertTemplateFMModel
      extends Object
      implements freemarker.template.TemplateDirectiveModel

  Insert a template.

  Insert a template with the possibility to pass parameters (called attributes). A template can be seen as a procedure that can take parameters or attributes. <tiles:insertTemplate> allows to define these attributes and pass them to the inserted jsp page, called template. Attributes are defined using nested tag <tiles:putAttribute> or <tiles:putListAttribute>.

  You must specify template attribute, for inserting a template

  Example :

           <tiles:insertTemplate template="/basic/myLayout.jsp" flush="true">
               <tiles:putAttribute name="title" value="My first page" />
               <tiles:putAttribute name="header" value="/common/header.jsp" />
               <tiles:putAttribute name="footer" value="/common/footer.jsp" />
               <tiles:putAttribute name="menu" value="/basic/menu.jsp" />
               <tiles:putAttribute name="body" value="/basic/helloBody.jsp" />
           </tiles:insertTemplate>

- - ### Field Summary

    - ### Fields inherited from interface freemarker.template.TemplateModel

      `NOTHING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertTemplateFMModel(InsertTemplateModel model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(freemarker.core.Environment env, Map params, freemarker.template.TemplateModel[] loopVars, freemarker.template.TemplateDirectiveBody body)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertTemplateFMModel

          public InsertTemplateFMModel(InsertTemplateModel model)

      Constructor.
      Parameters:
        `model` - The template model.

  - ### Method Detail

    - #### execute

          public void execute(freemarker.core.Environment env,
                              Map params,
                              freemarker.template.TemplateModel[] loopVars,
                              freemarker.template.TemplateDirectiveBody body)
                       throws freemarker.template.TemplateException,
                              IOException

      Specified by:
        `execute` in interface `freemarker.template.TemplateDirectiveModel`
      Throws:
        `freemarker.template.TemplateException`
        `IOException`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.